    import {Store} from 'tablefilter/src/modules/store.js'

public class | source

# Store

## Constructor Summary

Public Constructor
public | constructor(tf: Object) Store, persistence manager |

## Member Summary

Public Members
public | duration: * |
public | emitter: * |
public | fltsValuesCookie: * |
public | pgLenCookie: * |
public | pgNbCookie: * |
public | tf: * |

## Method Summary

Public Methods
public | clearCookies() Remove all cookies |
public | destroy() |
public | getFilterValues(): Array Retrieve filters' values from cookie |
public | getPageLength(): String Retrieve page length from cookie |
public | getPageNb(): String Retrieve page number from cookie |
public | init() |
public | saveFilterValues() Store filters' values in cookie |
public | savePageLength(index: Number) Store page length in cookie |
public | savePageNb(index: Number) Store page number in cookie |

## Public Constructors

### public constructor(tf: Object) source

Store, persistence manager

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance TODO: use localStorage and fallback to cookie persistence

## Public Members

### public duration: * source

### public emitter: * source

### public fltsValuesCookie: * source

### public pgLenCookie: * source

### public pgNbCookie: * source

### public tf: * source

## Public Methods

### public clearCookies() source

Remove all cookies

### public destroy() source

### public getFilterValues(): Array source

Retrieve filters' values from cookie

#### Return:

Array

### public getPageLength(): String source

Retrieve page length from cookie

#### Return:

String

### public getPageNb(): String source

Retrieve page number from cookie

#### Return:

String

### public init() source

### public saveFilterValues() source

Store filters' values in cookie

### public savePageLength(index: Number) source

Store page length in cookie

#### Params:

Name | Type | Attribute | Description
index | Number |  | page length index to persist

### public savePageNb(index: Number) source

Store page number in cookie

#### Params:

Name | Type | Attribute | Description
index | Number |  | page index to persist